org.bouncycastle.crypto.generators

## Class DSAParametersGenerator

- java.lang.Object
- - org.bouncycastle.crypto.generators.DSAParametersGenerator

    public class DSAParametersGenerator
    extends java.lang.Object

generate suitable parameters for DSA, in line with FIPS 186-2.

### Constructor Summary

Constructors
Constructor and Description
`DSAParametersGenerator()`

### Method Summary

Methods
`DSAParameters` `generateParameters()` which generates the p and g values from the given parameters, returning the DSAParameters object.
`void` `init(int size, int certainty, java.security.SecureRandom random)` initialise the key generator.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DSAParametersGenerator

    public DSAParametersGenerator()

### Method Detail

#### init

    public void init(int size,
            int certainty,
            java.security.SecureRandom random)

initialise the key generator.

Parameters:
  `size` - size of the key (range 2^512 -> 2^1024 - 64 bit increments)
  `certainty` - measure of robustness of prime (for FIPS 186-2 compliance this should be at least 80).
  `random` - random byte source.

#### generateParameters

    public DSAParameters generateParameters()

which generates the p and g values from the given parameters, returning the DSAParameters object.

Note: can take a while...